#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gnome-sudoku
Version		:	44.0
Release		:	14.8.0.0%{?dist}
Summary		:	Sudoku is a Japanese logic game that exploded in popularity in 2005.


Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and CC-BY-SA
URL		:	https://wiki.gnome.org/Apps/Mhajong

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	desktop-file-utils
BuildRequires	:	gcc
BuildRequires	:	gtk3+
BuildRequires	:	json-glib
BuildRequires	:	libgee
BuildRequires	:	qqwing-devel
BuildRequires	:	meson
BuildRequires	:	vala

Requires	:	gtk3+
#-----------------------------------------------------------------------------
%description
GNOME Sudoku was originally programmed in Python by
Thomas Hinkle, though it has since been rewritten.
It is meant to have an interface as simple and
unobstrusive as possible while still providing
features that make playing difficult Sudoku more fun.

#-----------------------------------------------------------------------------
%files	-f	 %{name}.lang
%defattr(-,root,root,-)
%doc NEWS README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Sudoku.desktop
%{_datadir}/dbus-1/services/org.gnome.Sudoku.service
%{_datadir}/glib-2.0/schemas/org.gnome.Sudoku.gschema.xml
%{_datadir}/icons/hicolor/*/apps/org.gnome.Sudoku*
%{_datadir}/metainfo/org.gnome.Sudoku.appdata.xml
%{_mandir}/man6/gnome-sudoku.6.gz

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null
  %{_bindir}/update-desktop-database 2> /dev/null
  fi

#-----------------------------------------------------------------------------
%posttrans
%{_bindir}/update-desktop-database 2> /dev/null
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build

meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
        --mandir=%{_mandir}				\
        --libdir=%{_libdir}				\
        --infodir=%{_infodir}				\
        --mandir=%{_mandir}				\
	--buildtype=plain				\
	build

meson							\
	compile						\
	-C build

#-----------------------------------------------------------------------------
%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
meson							\
	install						\
	-C build

%find_lang %{name} --with-gnome

#-----------------------------------------------------------------------------
%changelog

